Bug 62607 - mouse properties (acceleration/threshold) don't "stick"
Summary: mouse properties (acceleration/threshold) don't "stick"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: control-center (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-03 00:07 UTC by Bill Crawford
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-15 20:00:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
~/.gnome/session (2.33 KB, text/plain)
2002-04-09 21:01 UTC, Bill Crawford
no flags Details
session-manual (120 bytes, text/plain)
2002-04-09 21:06 UTC, Bill Crawford
no flags Details
session-options (117 bytes, text/plain)
2002-04-09 21:06 UTC, Bill Crawford
no flags Details
session-properties (177 bytes, text/plain)
2002-04-09 21:07 UTC, Bill Crawford
no flags Details

Description Bill Crawford 2002-04-03 00:07:27 UTC
Description of Problem:
After settting acceleration in the mouse properties dialog, everything is fine. 
After restarting X, though, the settitngs seem not to "take" but if I open the
control center, go into the "mouse" pane and press OK, my settings are
reinstated.

I'm suspecting this could in fact be a WindowMaker problem, as I am using that
as my wm, but I do have the "don't set non-WindowMaker specific settings" box
checked in WPrefs.

Version-Release number of selected component (if applicable):
[bill@marcus bill]$ rpm -q control-center WindowMaker 
control-center-1.4.0.1-25
WindowMaker-0.80.0-7

Additional information:
I've had similar issues with e.g. keyboard auto-repeat settings in the past
(fixed by running xset from the session manager after all the various properties
-capplet things have run).

Side note: could gnomecc be made to start with the menu tree collapsed?  It's
annoying on a small display to have to scroll down every time to get to the
session manager stuff, especially using a touchpad on a laptop.

Removing the sawfish submenu when it's not running would be a bonus ;o)

Comment 1 Havoc Pennington 2002-04-09 16:14:27 UTC
Are you using gnome-session? If so, does ~/.gnome/session contain several
capplets run with the --init flag?

Comment 2 Bill Crawford 2002-04-09 21:00:14 UTC
Interestingly, sometimes running "xset q" causes the settings to kick in ...

I'll attach my session file in a sec.  I've never changed anything directly in
it except to remove stuff (xterm sessions left behind after a crash).  Oh, and I
once edited nautilus out of there.  Don't like nautilus.


Comment 3 Bill Crawford 2002-04-09 21:01:04 UTC
Created attachment 52944 [details]
~/.gnome/session

Comment 4 Bill Crawford 2002-04-09 21:05:43 UTC
I normally log in by running "startx -- -dpi 100 -layout whatever", sometimes I
use gdm.  I havn't noticed any difference between the two, but I'll check.  I've
cured it temporarily by allowing WindowMaker to set the mouse acceleration.


Comment 5 Bill Crawford 2002-04-09 21:06:17 UTC
Created attachment 52945 [details]
session-manual

Comment 6 Bill Crawford 2002-04-09 21:06:52 UTC
Created attachment 52946 [details]
session-options

Comment 7 Bill Crawford 2002-04-09 21:07:24 UTC
Created attachment 52947 [details]
session-properties

Comment 8 Havoc Pennington 2002-04-09 21:10:05 UTC
So is gnome-session running?

The thing is, if you choose the WindowMaker session in gdm, or switchdesk over
to windowmaker, then gnome-session won't run so those --init things won't run
and settings won't be set up.

Comment 9 Bill Crawford 2002-04-09 21:16:12 UTC
Yes, I have "GNOME" session selected (as default) and then "WindowMaker"
selected as window manager via the control panel.  It works, mostly.  Just
problems with some settings; I got around the issue ages ago by running "xset r
rate 250 30" from the session manager (I think I may not have reported that; I
started doing that before I knew what Bugzilla looked like :o)
My GNOME config has been recreated from scratch at least once installing 7.x, so
I don't think it's a compatability issue ...

Comment 10 Bill Crawford 2002-04-15 20:00:36 UTC
This *appears* to be fixed now, at least when I start X from the command line
(with "startx").


Comment 11 Havoc Pennington 2002-07-02 23:25:34 UTC
The code is all totally different for gnome 2 in rawhide as well.


Note You need to log in before you can comment on or make changes to this bug.